Execution
Render a prompt
Renders a prompt with arguments and returns the MCP GetPromptResult directly (description?, messages).
POST
/
projects
/
{projectId}
/
servers
/
{serverId}
/
prompts
/
get
Render a prompt
curl --request POST \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/prompts/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promptName": "summarize",
"arguments": {
"style": "bullet"
}
}
'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/prompts/get"
payload = {
"promptName": "summarize",
"arguments": { "style": "bullet" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({promptName: 'summarize', arguments: {style: 'bullet'}})
};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/prompts/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"content": {}
}
],
"description": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
ID of the server inside the project.
Body
application/json
Was this page helpful?
⌘I
Render a prompt

